org.h2gis.functions.spatial.predicates

## Class ST_Intersects

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.predicates.ST_Intersects

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Intersects
    extends org.h2gis.api.DeterministicScalarFunction

Return true if the geometry A intersects the geometry B

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Intersects()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Boolean` `isIntersects(com.vividsolutions.jts.geom.Geometry surface, com.vividsolutions.jts.geom.Geometry testGeometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Intersects

    public ST_Intersects()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### isIntersects

    public static Boolean isIntersects(com.vividsolutions.jts.geom.Geometry surface,
                                       com.vividsolutions.jts.geom.Geometry testGeometry)

Parameters:
  `surface` - Surface Geometry.
  `testGeometry` - Geometry instance
Returns:
  true if the geometry A intersects the geometry B